﻿
//#region callAction
function callAction(myUrl, myContentType, myData, myVerbType, myDataType, onSuccess) {
    $.ajax({
        cache: false,
        url: myUrl,
        contentType: (myContentType == "") ? "application/json" : myContentType,
        data: (myData == "") ? "" : JSON.stringify(myData),
        type: (myVerbType == "") ? 'POST' : myVerbType,
        datatype: (myDataType == "") ? 'json' : myDataType,
        success: function (returnData) {
            if (returnData.statusmsg == "fail") {
                alert(returnData.errorMsg);
            }
            else {
                onSuccess(returnData)
            }
        },
        error: function () {
            alert('some error occurred');
        }
    });
}
//#endregion

//#region InitializeDialog
//Method to Initialize the DialogBox
function InitializeDialog($element, width, height, title, path) {
    $element.dialog({
        autoOpen: false,
        width: width,
        resizable: false,
        draggable: true,
        title: title,
        modal: true,
        show: 'slide',
        dialogClass: 'alert',
        closeOnEscape: true,
        open: function (event, ui) {
            //Load the Partial View Here using Controller and Action
            $element.load(path);
        },
        close: function () {
            DestroySlickGridInstancesPopUps();
            $(this).dialog('close');
            $(this).dialog('destroy').empty();
        }
    });
}

function DestroySlickGridInstancesPopUps() {
    //Add the class 'popupSlickGrid' to each slick grid in popup.
    var popupSlickGrid = $('.popupSlickGrid');
    jQuery.each(popupSlickGrid, function (i, val) {
        var sgPopupGrid = $(this).data('sgPopupGrid');
        if (sgPopupGrid) {
            sgPopupGrid.destroy();
        }
    });
}

//#endregion