﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace SG_MVCApp.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult SGDemoPopup()
        {
            return PartialView("_SGDemoPopup");
        }

        public ActionResult GetPopupData()
        {
            List<MyClass> lstMyClass = new List<MyClass>();
            for (var i = 1; i <= 5000; i++)
            {
                MyClass objMyClass = new MyClass { Id = i, Name = "p" + i.ToString() };
                lstMyClass.Add(objMyClass);
            }
            JavaScriptSerializer serializer = new JavaScriptSerializer();
            serializer.MaxJsonLength = int.MaxValue;
            return Content(serializer.Serialize(lstMyClass), "application/json");
        }

        [Serializable]
        public class MyClass
        {
            public int Id { get; set; }
            public string Name { get; set; }
        }
    }
}
